VERSION 2.00
Begin Form Mailer 
   Caption         =   "Mailer"
   ClientHeight    =   6600
   ClientLeft      =   5115
   ClientTop       =   1845
   ClientWidth     =   6090
   Height          =   7290
   Left            =   5055
   LinkTopic       =   "Form1"
   ScaleHeight     =   6600
   ScaleWidth      =   6090
   Top             =   1215
   Width           =   6210
   Begin TextBox eAttach 
      FontBold        =   0   'False
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   8.25
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   285
      Left            =   1560
      TabIndex        =   11
      Top             =   1680
      Width           =   4215
   End
   Begin TextBox eResult 
      Height          =   615
      Left            =   240
      MultiLine       =   -1  'True
      TabIndex        =   10
      Text            =   "Ready."
      Top             =   5880
      Visible         =   0   'False
      Width           =   5535
   End
   Begin TextBox eMessage 
      FontBold        =   0   'False
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   8.25
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   3255
      Left            =   240
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   8
      Top             =   2520
      Width           =   5535
   End
   Begin TextBox eSubject 
      FontBold        =   0   'False
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   8.25
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   285
      Left            =   1560
      TabIndex        =   6
      Top             =   1320
      Width           =   4215
   End
   Begin TextBox eTo 
      FontBold        =   0   'False
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   8.25
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   285
      Left            =   1560
      TabIndex        =   4
      Top             =   960
      Width           =   4215
   End
   Begin TextBox eFrom 
      FontBold        =   0   'False
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   8.25
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   285
      Left            =   1560
      TabIndex        =   2
      Top             =   600
      Width           =   4215
   End
   Begin TextBox eServer 
      FontBold        =   0   'False
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   8.25
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   285
      Left            =   1560
      TabIndex        =   0
      Top             =   240
      Width           =   3495
   End
   Begin Label Label1 
      Alignment       =   1  'Right Justify
      Caption         =   "Attach"
      Height          =   255
      Left            =   600
      TabIndex        =   12
      Top             =   1680
      Width           =   735
   End
   Begin Label lMessage 
      Alignment       =   2  'Center
      Caption         =   "Message"
      Height          =   255
      Left            =   2520
      TabIndex        =   9
      Top             =   2160
      Width           =   975
   End
   Begin Label lSubject 
      Alignment       =   1  'Right Justify
      Caption         =   "Subject"
      Height          =   255
      Left            =   360
      TabIndex        =   7
      Top             =   1320
      Width           =   975
   End
   Begin Label lTo 
      Alignment       =   1  'Right Justify
      Caption         =   "Email To"
      Height          =   255
      Left            =   360
      TabIndex        =   5
      Top             =   960
      Width           =   975
   End
   Begin Label lFrom 
      Alignment       =   1  'Right Justify
      Caption         =   "Email From"
      Height          =   255
      Left            =   240
      TabIndex        =   3
      Top             =   600
      Width           =   1095
   End
   Begin Label lServer 
      Alignment       =   1  'Right Justify
      Caption         =   "SMTP Server"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   240
      Width           =   1215
   End
   Begin Menu mSend 
      Caption         =   "SendEmail"
   End
   Begin Menu mExit 
      Caption         =   "Exit"
   End
End
Option Explicit

Sub bOK_Click ()
  eResult.Visible = False
  eResult.Text = ""
End Sub

Sub Form_Load ()
Dim Code As Integer
Dim Version As Integer
Dim Mode As Long
Dim S1, S2, S3 As String
eResult.Visible = True
Code = seeAttach(1, SEE_KEY_CODE)
Mode = QUOTED_HTML
Code = seeIntegerParam(0, SEE_QUOTED_PRINTABLE, Mode)
Version = seeStatistics(0, SEE_GET_VERSION)
S1 = "SMTP/POP3 Email Engine Version "
S2 = Hex$(Version)
S3 = Mid$(S2, 1, 1) + "." + Mid$(S2, 2, 1) + "." + Mid$(S2, 3, 1)
eResult.Text = S1 + S3 + ". Ready to connect."
End Sub

Sub mExit_Click ()
Dim Code As Integer
Code = seeClose(0)
Code = seeRelease()
End
End Sub

Sub mSend_Click ()
Dim Code As Integer
Dim Length As Integer
Dim BytesSent As Long
Dim NullString As String
Dim Temp As String * 256
Dim TheFile As String
Dim Msg As String
Dim NL As String

On Error GoTo MailerErrorHandler

NullString = Chr$(0)
NL = Chr$(13) + Chr$(10)
eResult.Text = ""

'check that SMTP server name has been specifed

If Len(eServer.Text) = 0 Then
  eResult.Text = Time$ & " Your SMTP server is not specified."
  Exit Sub
End If

'check "From" email address

If Len(eFrom.Text) = 0 Then
  eResult.Text = Time$ & " Missing 'Email From' address."
  Exit Sub
Else
  Code = seeVerifyFormat(eFrom.Text)
  If Code < 0 Then
    'error in format
    Call ShowError(MAILER, Code, "From address: ")
    Exit Sub
  End If
End If

'check "To" email address

If Len(eTo.Text) = 0 Then
  eResult.Text = Time$ & " Missing 'Email To' address."
  Exit Sub
Else
  Code = seeVerifyFormat(eTo.Text)
  If Code < 0 Then
    'error in format
    Call ShowError(MAILER, Code, "To address: ")
    Exit Sub
  End If
End If

' verify existance of attachment file

If Len(eAttach.Text) > 0 Then
  TheFile = eAttach.Text
  Open TheFile For Input As 1
  Close 1
End If

' verify existance of message file

Length = Len(eMessage.Text)
If Length > 0 Then
  If Left$(eMessage.Text, 1) = "@" Then
    ' message starts with "@", so is a filename
    TheFile = Right$(eMessage.Text, Length - 1)
    Open TheFile For Input As 1
    Close 1
  End If
End If

' send email message

mSend.Enabled = False
SCREEN.MousePointer = 11
eResult.Text = Time$ & "Sending email."
DoEvents

' set up log file

Code = seeStringParam(0,SEE_LOG_FILE, "mailer.log")

'connect to server

eResult.Text = Time$ & " Connecting to SMTP server " & eServer.Text
Code = seeSmtpConnect(0,eServer.Text, eFrom.Text, NullString)
If Code < 0 Then
  'error attempting to connect
  Call ShowError(MAILER, Code, "seeSmtpConnect: ")
  mSend.Enabled = True
  SCREEN.MousePointer = 0
  Code = seeClose(0)
  Exit Sub
End If

' get server IP address

Code = seeDebug(0,SEE_GET_SERVER_IP, Temp, 40)
eResult.Text = Time$ & " Connected to IP " & Left$(Temp, Code)

' disable AUTO CALL [see Users Manual SEE4VB_U.TXT]
Code = seeIntegerParam(0,SEE_AUTO_CALL_DRIVER, 0)

' setup to send the email

Code = seeSendEmail(0,eTo.Text, NullString, NullString, eSubject.Text, eMessage.Text, eAttach.Text)
If Code < 0 Then
  'error attempting to send email
  Call ShowError(MAILER, Code, "seeSendEmail: ")
  mSend.Enabled = True
  SCREEN.MousePointer = 0
  Code = seeClose(0)
  Exit Sub
End If

' run the driver (which sends the email)

Do
  ' execute next state
  Code = seeDriver(0)
  If Code = 0 Then
    ' driver is done
    Exit Do
  End If
  If Code < 0 Then
    'driver returned error
    Call ShowError(MAILER, Code, "seeDriver: ")
    Exit Do
  End If
  ' driver not yet done, so report progress.
  BytesSent = seeStatistics(0,SEE_GET_TOTAL_BYTES_SENT)
  eResult.Text = Time$ & " " & Str(BytesSent) + " bytes sent."
Loop
' enable AUTO CALL
Code = seeIntegerParam(0,SEE_AUTO_CALL_DRIVER, 1&)
eResult.Text = Time$ & " Email has been sent (" & Str$(BytesSent) & " bytes)"
mSend.Enabled = True
SCREEN.MousePointer = 0
Code = seeClose(0)
Exit Sub

MailerErrorHandler:

Select Case Err
  Case 53: Msg = "VB Error 53: File " & TheFile & " doesn't exist."
  Case 76: Msg = "VB Error: Path " & TheFile & " doesn't exist."
  Case Else: Msg = "VB Error " & Err & " occurred."
End Select
eResult.Text = eResult.Text + Msg + NL
MsgBox Msg
'''Resume Next
Exit Sub
End Sub

