VERSION 5.00
Begin VB.Form StatForm 
   Caption         =   "StatForm"
   ClientHeight    =   3255
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   4950
   LinkTopic       =   "Form1"
   ScaleHeight     =   3255
   ScaleWidth      =   4950
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox ePass 
      Height          =   285
      Left            =   2040
      TabIndex        =   3
      Top             =   840
      Width           =   2775
   End
   Begin VB.TextBox eUser 
      Height          =   285
      Left            =   2040
      TabIndex        =   2
      Top             =   480
      Width           =   2775
   End
   Begin VB.TextBox eServer 
      Height          =   285
      Left            =   2040
      TabIndex        =   1
      Top             =   120
      Width           =   2775
   End
   Begin VB.TextBox eMessage 
      Height          =   2055
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   1200
      Width           =   4815
   End
   Begin VB.Label lPassword 
      Caption         =   "Password"
      Height          =   255
      Left            =   720
      TabIndex        =   6
      Top             =   840
      Width           =   1215
   End
   Begin VB.Label lUser 
      Caption         =   "UserName"
      Height          =   255
      Left            =   720
      TabIndex        =   5
      Top             =   480
      Width           =   975
   End
   Begin VB.Label lServer 
      Caption         =   "Pop3 Server"
      Height          =   255
      Left            =   720
      TabIndex        =   4
      Top             =   120
      Width           =   1215
   End
   Begin VB.Menu mCheck 
      Caption         =   "CheckMail"
   End
   Begin VB.Menu mExit 
      Caption         =   "Exit"
   End
End
Attribute VB_Name = "StatForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Dim X As New seeClass

Sub ShowError(Code As Long, Msg As String)
Code = X.fErrorText(0, Code)
eMessage.Text = Msg & X.ResultString
End Sub

Private Sub Form_Load()
Dim Code As Integer
Dim Version As Integer
Dim S1, S2, S3 As String
' attach SEE
Code = X.fAttach(1, SEE_KEY_CODE)
Version = X.fStatistics(0, SEE_GET_VERSION)
S1 = "SMTP/POP3 Email Engine Version "
S2 = Hex$(Version)
S3 = Mid$(S2, 1, 1) + "." + Mid$(S2, 2, 1) + "." + Mid$(S2, 3, 1)
eMessage.Text = S1 + S3 + ". Ready to connect."
End Sub

Private Sub mCheck_Click()
Dim I As Integer
Dim N As Integer
Dim NbrMsg As Long
Dim Code As Long
Dim NL As String
NL = Chr$(13) + Chr$(10)
eMessage.Text = ""
'check that POP3 server name has been specifed
If Len(eServer.Text) = 0 Then
  eMessage.Text = "Missing POP3 server name."
  Exit Sub
End If
'check USER name
If Len(eUser.Text) = 0 Then
  eMessage.Text = "Missing User name."
  Exit Sub
End If
'check Password
If Len(ePass.Text) = 0 Then
  eMessage.Text = "Missing Password."
  Exit Sub
End If
' set up log file
Code = X.fStringParam(0, SEE_LOG_FILE, "STAT.LOG")
'connect to server
SCREEN.MousePointer = 11
mCheck.Enabled = False
DoEvents
eMessage.Text = "Connecting to POP3 server " + eServer.Text
X.Pop3HostName = eServer.Text
X.Pop3UserName = eUser.Text
X.Pop3Password = ePass.Text
Code = X.fPop3Connect(0)
If Code < 0 Then
  'error attempting to connect
  Call ShowError(Code, "seePop3Connect:")
  mCheck.Enabled = True
  SCREEN.MousePointer = 0
  Code = X.fClose(0)
  Exit Sub
End If
' get server IP address
Code = X.fDebug(0, SEE_GET_SERVER_IP)
eMessage.Text = "Connected to IP " & Left$(X.ResultString, Code)
' get # messages waiting
NbrMsg = X.fGetEmailCount(0)
If NbrMsg < 0 Then
  Call ShowError(NbrMsg, "seeGetEmailCount:")
  mCheck.Enabled = True
  SCREEN.MousePointer = 0
  Code = X.fClose(0)
  Exit Sub
End If
eMessage.Text = Str$(NbrMsg) & " messages are waiting for " & eUser.Text & NL
SCREEN.MousePointer = 0
mCheck.Enabled = True
Code = X.fClose(0)
End Sub

Private Sub mExit_Click()
Dim Code As Long
Code = X.fClose(0)
Code = X.fRelease()
End
End Sub
